camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Lichtin (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-7392) Unable to resolve bundle revision org.apache.camel.camel-servlet
Date Thu, 24 Apr 2014 14:03:15 GMT
Martin Lichtin created CAMEL-7392:
-------------------------------------

             Summary: Unable to resolve bundle revision org.apache.camel.camel-servlet 
                 Key: CAMEL-7392
                 URL: https://issues.apache.org/jira/browse/CAMEL-7392
             Project: Camel
          Issue Type: Bug
    Affects Versions: 2.13.0
         Environment: Karaf 2.3.4
            Reporter: Martin Lichtin


When loading features

		<feature>activemq</feature>
		<feature>camel</feature>
		<feature>camel-jms</feature>
		<feature>camel-mvel</feature>
		<feature>camel-groovy</feature>
		<feature>hawtio-core</feature>
		<feature>camel-cache</feature>
		<feature>cxf</feature>
		<feature>camel-cxf</feature>
		<feature>camel-http</feature>
		<feature>camel-http4</feature>
		<feature>camel-servlet</feature>

the following issue occurs:

Error executing command: Could not start bundle mvn:org.apache.camel/camel-servlet/2.13.0
in feature(s) camel-servlet-2.13.0: Uses constraint violation. Unable to resolve bundle revision
org.apache.camel.camel-servlet [243.0] because it is exposed to package 'javax.servlet' from
bundle revisions org.apache.geronimo.specs.geronimo-servlet_2.5_spec [110.0] and org.apache.geronimo.specs.geronimo-servlet_3.0_spec
[238.0] via two dependency chains.

Chain 1:
  org.apache.camel.camel-servlet [243.0]
    import: (&(osgi.wiring.package=javax.servlet)(version>=2.5.0)(!(version>=4.0.0)))
     |
    export: osgi.wiring.package=javax.servlet
  org.apache.geronimo.specs.geronimo-servlet_2.5_spec [110.0]

Chain 2:
  org.apache.camel.camel-servlet [243.0]
    import: (&(osgi.wiring.package=org.apache.camel.component.http)(version>=2.13.0)(!(version>=2.14.0)))
     |
    export: osgi.wiring.package=org.apache.camel.component.http; uses:=javax.servlet
  org.apache.camel.camel-http [239.0]
    import: (&(osgi.wiring.package=javax.servlet)(version>=2.5.0)(!(version>=4.0.0)))
     |
    export: osgi.wiring.package=javax.servlet
  org.apache.geronimo.specs.geronimo-servlet_3.0_spec [238.0]



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message